Bug 1479018 - python2-astroid-1.4.9-2.el7.noarch has disappeared from EPEL7
python2-astroid-1.4.9-2.el7.noarch has disappeared from EPEL7
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: python-astroid (Show other bugs)
epel7
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 13:53 EDT by Michael Mráka
Modified: 2017-08-16 19:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 19:01:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2017-08-07 13:53:43 EDT
Description of problem:
Since Aug 7 2017 I can't rebuild packages in COPR due to missing python-astroid from EPEL. Yum builldep error:
Error: Package: python2-pylint-1.6.5-4.el7.noarch (epel)
           Requires: python-astroid >= 1.4.5

Previous build were able to install python2-astroid-1.4.9-2.el7.noarch to satisfy this dependency.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
yum builddep error

Expected results:
no missing dependencies

Additional info:
Comment 1 Orion Poplawski 2017-08-07 14:19:00 EDT
Filed https://pagure.io/releng/issue/6941
Comment 2 Michael PATRIS 2017-08-08 08:28:36 EDT
Hello,

PyLINT is broken with a failing dependency. Platform RHEL v7.3 x86_64.

# yum deplist  python2-pylint
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
package: python2-pylint.noarch 1.6.5-4.el7
  dependency: /usr/bin/python2
   provider: python.x86_64 2.7.5-48.el7
  dependency: python(abi) = 2.7
   provider: python.x86_64 2.7.5-48.el7
  dependency: python-astroid >= 1.4.5
*   Unsatisfied dependency
  dependency: python-setuptools
   provider: python-setuptools.noarch 0.9.8-4.el7
  dependency: python-six
   provider: python-six.noarch 1.9.0-2.el7
  dependency: python2-backports-functools_lru_cache
   provider: python2-backports-functools_lru_cache.noarch 1.2.1-4.el7
  dependency: python2-configparser
   provider: python-configparser.noarch 3.5.0b2-1.el7
  dependency: python2-isort
   provider: python2-isort.noarch 4.2.5-8.el7
  dependency: python2-mccabe
   provider: python2-mccabe.noarch 0.6.1-2.el7
Comment 3 Michael PATRIS 2017-08-08 08:35:33 EDT
(In reply to Michael PATRIS from comment #2)
> Hello,
> 
> PyLINT is broken with a failing dependency. Platform RHEL v7.3 x86_64.
REHL v7.1 _NOT_ v7.3 
> 
> # yum deplist  python2-pylint
> Loaded plugins: fastestmirror
> Loading mirror speeds from cached hostfile
> package: python2-pylint.noarch 1.6.5-4.el7
>   dependency: /usr/bin/python2
>    provider: python.x86_64 2.7.5-48.el7
>   dependency: python(abi) = 2.7
>    provider: python.x86_64 2.7.5-48.el7
>   dependency: python-astroid >= 1.4.5
> *   Unsatisfied dependency
>   dependency: python-setuptools
>    provider: python-setuptools.noarch 0.9.8-4.el7
>   dependency: python-six
>    provider: python-six.noarch 1.9.0-2.el7
>   dependency: python2-backports-functools_lru_cache
>    provider: python2-backports-functools_lru_cache.noarch 1.2.1-4.el7
>   dependency: python2-configparser
>    provider: python-configparser.noarch 3.5.0b2-1.el7
>   dependency: python2-isort
>    provider: python2-isort.noarch 4.2.5-8.el7
>   dependency: python2-mccabe
>    provider: python2-mccabe.noarch 0.6.1-2.el7
Comment 4 Orion Poplawski 2017-08-16 19:01:58 EDT
Should be back now.

Note You need to log in before you can comment on or make changes to this bug.